<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'career',

    /*
     * Modules.
     */
    'modules'   => ['career_job', 'career_resume'],

    'career_job'       => [
        'model' => [
            'model'                 => \Litecms\Career\Models\CareerJob::class,
            'table'                 => 'career_jobs',
            'presenter'             => \Litecms\Career\Repositories\Presenter\CareerJobPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'slug',  'description',  'requirement',  'status',  'closing_date',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'career/career_job',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'Career',
            'module'    => 'CareerJob',
        ],

    ],
    'career_resume'       => [
        'model' => [
            'model'                 => \Litecms\Career\Models\CareerResume::class,
            'table'                 => 'career_resumes',
            'presenter'             => \Litecms\Career\Repositories\Presenter\CareerResumePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'job_id',  'firstname',  'lastname',  'slug',  'dob',  'place_of_birth',  'nationality',  'gender',  'marital_status',  'street_address',  'city',  'state',  'country',  'email',  'mobile',  'language',  'qualification',  'experience',  'expected_salary',  'coverletter',  'resume',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'career/career_resume',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'Career',
            'module'    => 'CareerResume',
        ],

    ],
];
