<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateCareerResumesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: career_resumes
         */
        Schema::create('career_resumes', function ($table) {
            $table->increments('id');
            $table->integer('job_id')->nullable();
            $table->string('firstname', 50)->nullable();
            $table->string('lastname', 50)->nullable();
            $table->string('slug', 200)->nullable();
            $table->date('dob')->nullable();
            $table->string('place_of_birth', 50)->nullable();
            $table->string('nationality', 50)->nullable();
            $table->enum('gender', ['male','female'])->nullable();
            $table->enum('marital_status', ['married','unmarried'])->nullable();
            $table->string('street_address', 100)->nullable();
            $table->string('city', 100)->nullable();
            $table->string('state', 50)->nullable();
            $table->string('country', 50)->nullable();
            $table->string('email', 200)->nullable();
            $table->string('mobile', 200)->nullable();
            $table->longText('language')->nullable();
            $table->longText('qualification')->nullable();
            $table->integer('experience')->nullable();
            $table->integer('expected_salary')->nullable();
            $table->string('coverletter', 200)->nullable();
            $table->text('resume')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('career_resumes');
    }
}
