<?php

namespace Litecms\Career;

use User;

class Career
{
    /**
     * $career_job object.
     */
    protected $career_job;    /**
     * $career_resume object.
     */
    protected $career_resume;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Career\Interfaces\CareerJobRepositoryInterface $career_job,        \Litecms\Career\Interfaces\CareerResumeRepositoryInterface $career_resume)
    {
        $this->career_job = $career_job;        $this->career_resume = $career_resume;
    }

    /**
     * Returns count of career.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.career_job.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->career_job->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\CareerJobUserCriteria());
        }

        $career_job = $this->career_job->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('career::' . $view, compact('career_job'))->render();
    }    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.career_resume.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->career_resume->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\CareerResumeUserCriteria());
        }

        $career_resume = $this->career_resume->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('career::' . $view, compact('career_resume'))->render();
    }
}
