<?php

namespace Litecms\Career\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind CareerJob policy
        'Litecms\Career\Models\CareerJob' => \Litecms\Career\Policies\CareerJobPolicy::class,// Bind CareerResume policy
        'Litecms\Career\Models\CareerResume' => \Litecms\Career\Policies\CareerResumePolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
