<?php

namespace Litecms\Career\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CareerJobTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Career\Models\CareerJob $career_job)
    {
        return [
            'id'                => $career_job->getRouteKey(),
            'key'               => [
                'public'    => $career_job->getPublicKey(),
                'route'     => $career_job->getRouteKey(),
            ], 
            'id'                => $career_job->id,
            'name'              => $career_job->name,
            'slug'              => $career_job->slug,
            'description'       => $career_job->description,
            'requirement'       => $career_job->requirement,
            'status'            => $career_job->status,
            'closing_date'      => $career_job->closing_date,
            'deleted_at'        => $career_job->deleted_at,
            'created_at'        => $career_job->created_at,
            'updated_at'        => $career_job->updated_at,
            'url'               => [
                'public'    => trans_url('career/'.$career_job->getPublicKey()),
                'user'      => guard_url('career/career_job/'.$career_job->getRouteKey()),
            ], 
            'status'            => trans('app.'.$career_job->status),
            'created_at'        => format_date($career_job->created_at),
            'updated_at'        => format_date($career_job->updated_at),
        ];
    }
}