<?php

namespace Litecms\Career\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CareerResumeTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Career\Models\CareerResume $career_resume)
    {
        return [
            'id'                => $career_resume->getRouteKey(),
            'key'               => [
                'public'    => $career_resume->getPublicKey(),
                'route'     => $career_resume->getRouteKey(),
            ], 
            'id'                => $career_resume->id,
            'job_id'            => $career_resume->job_id,
            'firstname'         => $career_resume->firstname,
            'lastname'          => $career_resume->lastname,
            'slug'              => $career_resume->slug,
            'dob'               => $career_resume->dob,
            'place_of_birth'    => $career_resume->place_of_birth,
            'nationality'       => $career_resume->nationality,
            'gender'            => $career_resume->gender,
            'marital_status'    => $career_resume->marital_status,
            'street_address'    => $career_resume->street_address,
            'city'              => $career_resume->city,
            'state'             => $career_resume->state,
            'country'           => $career_resume->country,
            'email'             => $career_resume->email,
            'mobile'            => $career_resume->mobile,
            'language'          => $career_resume->language,
            'qualification'     => $career_resume->qualification,
            'experience'        => $career_resume->experience,
            'expected_salary'   => $career_resume->expected_salary,
            'coverletter'       => $career_resume->coverletter,
            'resume'            => $career_resume->resume,
            'deleted_at'        => $career_resume->deleted_at,
            'created_at'        => $career_resume->created_at,
            'updated_at'        => $career_resume->updated_at,
            'url'               => [
                'public'    => trans_url('career/'.$career_resume->getPublicKey()),
                'user'      => guard_url('career/career_resume/'.$career_resume->getRouteKey()),
            ], 
            'status'            => trans('app.'.$career_resume->status),
            'created_at'        => format_date($career_resume->created_at),
            'updated_at'        => format_date($career_resume->updated_at),
        ];
    }
}